Package org.eclipse.birt.report.model.api.command

# Class ElementDeletedEvent

java.lang.Object
org.eclipse.birt.report.model.api.activity.NotificationEvent
org.eclipse.birt.report.model.api.command.ElementDeletedEvent

public class ElementDeletedEvent extends NotificationEvent
Indicates that an element was deleted. The target element is the one that is deleted. By the time the event has been sent, the element is no longer part of the design, so the client should not access the target. Just compare the target to an object reference in the client code.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`ATTRIBUTE_EVENT, CONTAINER, CONTENT_EVENT, CONTENT_REPLACE_EVENT, CONTENTS, CSS_EVENT, CSS_RELOADED_EVENT, CUSTOM_MSG_EVENT, DATA_DESIGN_RELOADED_EVENT, DATA_MART_PROPERTY_EVENT, deliveryPath, DESCENDENT, DIRECT, DISPOSE_EVENT, ELEMENT_CLIENT, ELEMENT_DELETE_EVENT, ELEMENT_LOCALIZE_EVENT, ENCRYPTION_EVENT, EXTENDS_EVENT, EXTENSION_PROPERTY_DEFINITION_EVENT, LAYOUT_CHANGED_EVENT, LIBRARY_CHANGE_EVENT, LIBRARY_EVENT, LIBRARY_RELOADED_EVENT, NAME_EVENT, NAME_SPACE_EVENT, PROPERTY_EVENT, sender, STRUCTURE_CLIENT, STYLE_CLIENT, STYLE_EVENT, target, TEMPLATE_TRANSFORM_EVENT, THEME_EVENT, USER_PROP_EVENT, VALIDATION_EVENT, VIEWS_CONTENT_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`ElementDeletedEvent(org.eclipse.birt.report.model.core.DesignElement obj)`
Constructor.
`ElementDeletedEvent(org.eclipse.birt.report.model.core.DesignElement container, org.eclipse.birt.report.model.core.DesignElement deleted)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.birt.report.model.core.DesignElement`
`getContainer()`
Returns the container element.
`int`
`getEventType()`
Returns the event type.
`boolean`
`isSame(NotificationEvent event)`
Compares and justifies whether this event and the given event is the same.

### Methods inherited from class org.eclipse.birt.report.model.api.activity.NotificationEvent

`getDeliveryPath, getSender, getTarget, setDeliveryPath, setSender, setTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ElementDeletedEvent

public ElementDeletedEvent(org.eclipse.birt.report.model.core.DesignElement obj)
Constructor.

Parameters:
  `obj` - the deleted element.

### ElementDeletedEvent

public ElementDeletedEvent(org.eclipse.birt.report.model.core.DesignElement container, org.eclipse.birt.report.model.core.DesignElement deleted)
Constructor.

Parameters:
  `container` - container element
  `deleted` - the deleted element

## Method Details

### getContainer

public org.eclipse.birt.report.model.core.DesignElement getContainer()
Returns the container element.

Returns:
  the container element.

### getEventType

public int getEventType()
Description copied from class: `NotificationEvent`
Returns the event type. The following event types are defined:

- CONTENT_EVENT
- ELEMENT_DELETE_EVENT
- EXTENDS_EVENT
- NAME_EVENT
- NAME_SPACE_EVENT
- PROPERTY_EVENT
- STYLE_EVENT
- USER_PROP_EVENT
- CUSTOM_MSG_EVENT
- EXTENSION_PROPERTY_DEFINITION_EVENT
- NOTIFICATION_EVENT
- VALIDATION_EVENT
- LIBRARY_EVENT
- ATTRIBUTE_EVENT
- DISPOSE_EVENT
- CONTENT_REPLACE_EVENT
- TEMPLATE_TRANSFORM_EVENT

Specified by:
  `getEventType` in class `NotificationEvent`
Returns:
  the event type.

### isSame

public boolean isSame(NotificationEvent event)
Description copied from class: `NotificationEvent`
Compares and justifies whether this event and the given event is the same.

Overrides:
  `isSame` in class `NotificationEvent`
Parameters:
  `event` - the event to compare
Returns:
  true if the two events are the same, otherwise false